java.lang.LinkageError

Version mismatch: jar version is '23', native library version is '24'

Samebug tips0

There are no available Samebug tips for this exception. If you know how to solve this issue, help other users by writing a short tip.

Don't give up yet. Paste your full stack trace to get a solution.

Solutions on the web113

  • via GitHub by Blackasaurus
    , 11 months ago
    Version mismatch: jar version is '23', native library version is '24'
  • via terasology.org by Unknown author, 1 year ago
    Version mismatch: jar version is '21', native library version is '23'
  • via gaanza.com by Unknown author, 1 year ago
    Version mismatch: jar version is ’16’, native libary version is ’17’
  • Stack trace

    • java.lang.LinkageError: Version mismatch: jar version is '23', native library version is '24' at org.lwjgl.Sys.<clinit>(Sys.java:118) at org.lwjgl.opencl.CL.<clinit>(CL.java:52) at com.diablominer.DiabloMiner.DeviceState.GPUHardwareType.<init>(GPUHardwareType.java:186) at com.diablominer.DiabloMiner.DiabloMiner.execute(DiabloMiner.java:355) at com.diablominer.DiabloMiner.DiabloMiner.main(DiabloMiner.java:90)

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    You’re the first here who have seen this exception.